Wishlist

Get all wishlists

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
chevron-right
200

Successful

application/json
get
/api/prems-wishlist

Create a wishlist

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
salesChannelIdstringOptional
customerIdstringOptional
namestringOptional
Responses
post
/api/prems-wishlist

No content

Get a wishlist

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
ENTITY_IDstringRequired
Responses
chevron-right
200

Successful

application/json
get
/api/prems-wishlist/{ENTITY_ID}

Delete a wishlist

delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
ENTITY_IDstringRequired
Responses
delete
/api/prems-wishlist/{ENTITY_ID}

Add a product to a wishlist

patch
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
ENTITY_IDstringRequired
Responses
patch
/api/prems-wishlist/{ENTITY_ID}

Get wishlists by a customer

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
chevron-right
200

Successful

application/json
post
/api/search/prems-wishlist

Last updated

Was this helpful?